Summary:	A LilyPond sheet music editor
Summary(de):	Ein LilyPond Partitureditor
Name:		frescobaldi
Version: 	2.17.2
Release: 	%mkrel 1
Source0: 	http://lilykde.googlecode.com/files/%{name}-%{version}.tar.xz
License: 	GPLv2+
Group: 		Graphical desktop/KDE4
Url: 		http://www.frescobaldi.org/
BuildArch:	noarch
Requires:	lilypond
Requires:	python-qt4
Requires:	python-poppler-qt4
Requires:	python-pypoppler
Recommends:	portmidi
Requires:       glibc >= 2.20


%description
Frescobaldi is a LilyPond sheet music editor. It aims to be powerful, yet
lightweight and easy to use.

%description -l de
Frescobaldi ist ein LilyPond Partitureditor. Er hat das Ziel mächtig, 
leichtgewichtig und einfach zu benutzen zu sein.

#--------------------------------------------------------------------

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --root=%{buildroot}
%__mkdir_p %{buildroot}%{_docdir}/%{name}

rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Frescobaldi
GenericName=Frescobaldi
Comment=LilyPond Music Editor
Comment[nl]=Muziek-editor voor LilyPond
Comment[es]=Editor de música para LilyPond
Comment[it]=Editor musicale per LilyPond
Comment[ru]=Музыкальный нотатор LilyPond
Comment[cs]=LilyPond hudební editor
Comment[tr]=LilyPond Müzik Düzenleyicisi
Comment[pl]=Edytor nutowy LilyPond
Comment[fr]=Éditeur de musique LilyPond
Comment[de]=LilyPond Musik-Editor
Comment[pt_BR]=Editor de música LilyPond
Comment[gl]=Editor de música para LilyPond
MimeType=text/x-lilypond;
Name=Frescobaldi
Exec=%{name}
Icon=%{name}
Type=Application
Terminal=false
X-KDE-StartupNotify=true
InitialPreference=8
Categories=AudioVideo;Music;X-MandrivaLinux-Multimedia-Sound;Education;
EOF

%clean
rm -rf %{buildroot}

%post
%{update_mime_database}
%{update_desktop_database}

%postun
%{clean_mime_database}
%{clean_desktop_database}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README THANKS TODO
%{_bindir}/*
%{py_puresitedir}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/*/*/*/*
%{_mandir}/man1/frescobaldi.1.bz2


%changelog
* Wed Jan 28 2015 pinoc <vogtpet at gmail.com> 2.17.2-1pclos2015
- 2.17.2

* Sat Aug 02 2014 gseaman <galen.seaman at comcast.net> 2.0.16-1gseaman2014
- 2.0.16

* Sat Mar 08 2014 ghostbunny <hmhaase at pclinuxosusers dot de> 2.0.14-1pclos2014
- 2.0.14

* Sat Dec 28 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 2.0.12-1pclos2014
- 2.0.12

* Mon Oct 28 2013 billybot <billybot> 2.0.11-2pclos2013
- revert file section as it doesnt work on 64bit

* Mon Oct 28 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 2.0.11-1pclos2013
- 2.0.11
- restructured files section

* Fri Aug 16 2013 billybot <billybot> 2.0.8-3pclos2013
- update python 2.7

* Tue Jul 16 2013 Texstar <texstar at gmail.com> 2.0.8-2pclos2013
- fix rpm group

* Sun Mar 11 2013 gseaman <galen.seaman at comcast.net> 2.0.8-1gseaman2013
- 2.0.8

* Sun Jul 01 2012 Neal <nealbrks0 at gmail dot com> 2.0.6-2pclos2012
- process

* Fri Jun 22 2012 Galen Seaman <galen.seaman@comcast.net> 2.0.6-2pclos2012
- Second build for PCLinuxOS (from Mandriva spec)

* Fri Jun 22 2012 Neal <nealbrks0 at gmail dot com> 2.0.6-1pclos2012
- process

* Fri Jun 22 2012 Galen Seaman <galen.seaman@comcast.net> 2.0.6-1
- First build for PCLinuxOS
